unit usample;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UWMMsg, UMsgHook, StdCtrls, ComCtrls, Shellapi;

type
  TForm1 = class(TForm)
    MessageHook1: TMessageHook;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    ListView1: TListView;
    MessageHook2: TMessageHook;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure MessageHook1Message(Sender: TObject;
      var HandleOriginal: Boolean; var Message: TMessage);
    procedure FormShow(Sender: TObject);
    procedure MessageHook2Message(Sender: TObject;
      var HandleOriginal: Boolean; var Message: TMessage);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.MessageHook1Message(Sender: TObject;
  var HandleOriginal: Boolean; var Message: TMessage);
begin
  MessageHook1.OldWndProc (Message);
  HandleOriginal := False;
  if (Message.Msg = WM_COMMAND) and
     (HIWORD (Message.wParam) = CBN_SELCHANGE) then
    Label2.Caption := ComboBox1.Text;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  DragAcceptFiles (ListView1.Handle, True);
end;

procedure TForm1.MessageHook2Message(Sender: TObject;
  var HandleOriginal: Boolean; var Message: TMessage);
begin
  if Message.Msg = WM_DROPFILES then begin
    Application.MessageBox ('You dropped something here', 'ListView1', MB_OK);
  end;
end;

end.
