{Sample how to use TMessageHookBasic}
{Version 1.0 (16.05.96) by Meik Weber}

unit UMsgHook;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UWMMsg;

type TOnMessageEvent = procedure (Sender : TObject; var HandleOriginal : Boolean;
                                  var Message : TMessage) of object;

type
  TMessageHook = class(TMessageHookBasic)
  private
    FOnMessage : TOnMessageEvent;
    { Private declarations }
  protected
    { Protected declarations }
    procedure CustomWndProc (var HandleOriginal : Boolean; var AMessage : TMessage); override;
  public
    { Public declarations }
  published
    { Published declarations }
    property OnMessage : TOnMessageEvent read FOnMessage write FOnMessage;
  end;

procedure Register;

implementation

procedure TMessageHook.CustomWndProc (var HandleOriginal : Boolean; var AMessage : TMessage);
begin
  if assigned (FOnMessage) then
    OnMessage (Self, HandleOriginal, AMessage);
end;

procedure Register;
begin
  RegisterComponents('Samples', [TMessageHook]);
end;

end.
